org.apache.storm.generated

## Class LogLevel

- java.lang.Object
- - org.apache.storm.generated.LogLevel

- All Implemented Interfaces:
    Serializable, Cloneable, Comparable<LogLevel>, org.apache.storm.thrift.TBase<LogLevel,LogLevel._Fields>, org.apache.storm.thrift.TSerializable

      @Generated(value="Autogenerated by Thrift Compiler (0.13.0)")
      public class LogLevel
      extends Object
      implements org.apache.storm.thrift.TBase<LogLevel,LogLevel._Fields>, Serializable, Cloneable, Comparable<LogLevel>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `LogLevel._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Map<LogLevel._Fields,org.apache.storm.thrift.meta_data.FieldMetaData>` | `metaDataMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LogLevel()`
    `LogLevel(LogLevel other)` Performs a deep copy on other.
    `LogLevel(LogLevelAction action)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `int` | `compareTo(LogLevel other)`
    `LogLevel` | `deepCopy()`
    `boolean` | `equals(LogLevel that)`
    `boolean` | `equals(Object that)`
    `LogLevel._Fields` | `fieldForId(int fieldId)`
    `LogLevelAction` | `get_action()`
    `long` | `get_reset_log_level_timeout_epoch()`
    `int` | `get_reset_log_level_timeout_secs()`
    `String` | `get_reset_log_level()`
    `String` | `get_target_log_level()`
    `Object` | `getFieldValue(LogLevel._Fields field)`
    `int` | `hashCode()`
    `boolean` | `is_set_action()` Returns true if field action is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_reset_log_level_timeout_epoch()` Returns true if field reset_log_level_timeout_epoch is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_reset_log_level_timeout_secs()` Returns true if field reset_log_level_timeout_secs is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_reset_log_level()` Returns true if field reset_log_level is set (has been assigned a value) and false otherwise
    `boolean` | `is_set_target_log_level()` Returns true if field target_log_level is set (has been assigned a value) and false otherwise
    `boolean` | `isSet(LogLevel._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
    `void` | `read(org.apache.storm.thrift.protocol.TProtocol iprot)`
    `void` | `set_action_isSet(boolean value)`
    `void` | `set_action(LogLevelAction action)`
    `void` | `set_reset_log_level_isSet(boolean value)`
    `void` | `set_reset_log_level_timeout_epoch_isSet(boolean value)`
    `void` | `set_reset_log_level_timeout_epoch(long reset_log_level_timeout_epoch)`
    `void` | `set_reset_log_level_timeout_secs_isSet(boolean value)`
    `void` | `set_reset_log_level_timeout_secs(int reset_log_level_timeout_secs)`
    `void` | `set_reset_log_level(String reset_log_level)`
    `void` | `set_target_log_level_isSet(boolean value)`
    `void` | `set_target_log_level(String target_log_level)`
    `void` | `setFieldValue(LogLevel._Fields field, Object value)`
    `String` | `toString()`
    `void` | `unset_action()`
    `void` | `unset_reset_log_level_timeout_epoch()`
    `void` | `unset_reset_log_level_timeout_secs()`
    `void` | `unset_reset_log_level()`
    `void` | `unset_target_log_level()`
    `void` | `validate()`
    `void` | `write(org.apache.storm.thrift.protocol.TProtocol oprot)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### metaDataMap

          public static final Map<LogLevel._Fields,org.apache.storm.thrift.meta_data.FieldMetaData> metaDataMap

  - ### Constructor Detail

    - #### LogLevel

          public LogLevel()

    - #### LogLevel

          public LogLevel(LogLevelAction action)

    - #### LogLevel

          public LogLevel(LogLevel other)

      Performs a deep copy on other.

  - ### Method Detail

    - #### deepCopy

          public LogLevel deepCopy()

      Specified by:
        `deepCopy` in interface `org.apache.storm.thrift.TBase<LogLevel,LogLevel._Fields>`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `org.apache.storm.thrift.TBase<LogLevel,LogLevel._Fields>`

    - #### get_action

          public LogLevelAction get_action()

      See Also:
        `LogLevelAction`

    - #### set_action

          public void set_action(LogLevelAction action)

      See Also:
        `LogLevelAction`

    - #### unset_action

          public void unset_action()

    - #### is_set_action

          public boolean is_set_action()

      Returns true if field action is set (has been assigned a value) and false otherwise

    - #### set_action_isSet

          public void set_action_isSet(boolean value)

    - #### get_target_log_level

          public String get_target_log_level()

    - #### set_target_log_level

          public void set_target_log_level(String target_log_level)

    - #### unset_target_log_level

          public void unset_target_log_level()

    - #### is_set_target_log_level

          public boolean is_set_target_log_level()

      Returns true if field target_log_level is set (has been assigned a value) and false otherwise

    - #### set_target_log_level_isSet

          public void set_target_log_level_isSet(boolean value)

    - #### get_reset_log_level_timeout_secs

          public int get_reset_log_level_timeout_secs()

    - #### set_reset_log_level_timeout_secs

          public void set_reset_log_level_timeout_secs(int reset_log_level_timeout_secs)

    - #### unset_reset_log_level_timeout_secs

          public void unset_reset_log_level_timeout_secs()

    - #### is_set_reset_log_level_timeout_secs

          public boolean is_set_reset_log_level_timeout_secs()

      Returns true if field reset_log_level_timeout_secs is set (has been assigned a value) and false otherwise

    - #### set_reset_log_level_timeout_secs_isSet

          public void set_reset_log_level_timeout_secs_isSet(boolean value)

    - #### get_reset_log_level_timeout_epoch

          public long get_reset_log_level_timeout_epoch()

    - #### set_reset_log_level_timeout_epoch

          public void set_reset_log_level_timeout_epoch(long reset_log_level_timeout_epoch)

    - #### unset_reset_log_level_timeout_epoch

          public void unset_reset_log_level_timeout_epoch()

    - #### is_set_reset_log_level_timeout_epoch

          public boolean is_set_reset_log_level_timeout_epoch()

      Returns true if field reset_log_level_timeout_epoch is set (has been assigned a value) and false otherwise

    - #### set_reset_log_level_timeout_epoch_isSet

          public void set_reset_log_level_timeout_epoch_isSet(boolean value)

    - #### get_reset_log_level

          public String get_reset_log_level()

    - #### set_reset_log_level

          public void set_reset_log_level(String reset_log_level)

    - #### unset_reset_log_level

          public void unset_reset_log_level()

    - #### is_set_reset_log_level

          public boolean is_set_reset_log_level()

      Returns true if field reset_log_level is set (has been assigned a value) and false otherwise

    - #### set_reset_log_level_isSet

          public void set_reset_log_level_isSet(boolean value)

    - #### setFieldValue

          public void setFieldValue(LogLevel._Fields field,
                                    Object value)

      Specified by:
        `setFieldValue` in interface `org.apache.storm.thrift.TBase<LogLevel,LogLevel._Fields>`

    - #### getFieldValue

          public Object getFieldValue(LogLevel._Fields field)

      Specified by:
        `getFieldValue` in interface `org.apache.storm.thrift.TBase<LogLevel,LogLevel._Fields>`

    - #### isSet

          public boolean isSet(LogLevel._Fields field)

      Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

      Specified by:
        `isSet` in interface `org.apache.storm.thrift.TBase<LogLevel,LogLevel._Fields>`

    - #### equals

          public boolean equals(Object that)

      Overrides:
        `equals` in class `Object`

    - #### equals

          public boolean equals(LogLevel that)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### compareTo

          public int compareTo(LogLevel other)

      Specified by:
        `compareTo` in interface `Comparable<LogLevel>`

    - #### fieldForId

          public LogLevel._Fields fieldForId(int fieldId)

      Specified by:
        `fieldForId` in interface `org.apache.storm.thrift.TBase<LogLevel,LogLevel._Fields>`

    - #### read

          public void read(org.apache.storm.thrift.protocol.TProtocol iprot)
                    throws org.apache.storm.thrift.TException

      Specified by:
        `read` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### write

          public void write(org.apache.storm.thrift.protocol.TProtocol oprot)
                     throws org.apache.storm.thrift.TException

      Specified by:
        `write` in interface `org.apache.storm.thrift.TSerializable`
      Throws:
        `org.apache.storm.thrift.TException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### validate

          public void validate()
                        throws org.apache.storm.thrift.TException

      Throws:
        `org.apache.storm.thrift.TException`

Copyright © 2021 The Apache Software Foundation. All rights reserved.